#include <iostream>
#include <libpq-fe.h>
#include "CivHydrFuncInter.h"
#include "iostream"
#include "time.h"
#include "string.h"
#include "CivTestContext.h"
#include "CivHydrTest.h"

using namespace std;

int main(int argc, char* argv[])
{

    const char* uri = "host=192.168.19.100 port=5432 dbname=JinXian user=postgres password=admin";
    char* findUri = const_cast<char*>(uri);

    // 测试水力
    /*CivTestContext context(new CivConHydrTest());
    context.contextTest(findUri);*/

    // 测试水质
    /*CivTestContext context(new CivConQuaTest());
    context.contextTest(findUri);*/

    // 测试追踪分析
    /*CivTestContext context(new CivConTrackTest());
    context.contextTest(findUri);*/

    // 测试根据时段获取值
  /*  CivTestContext context(new CivConGetDataTest());
    context.contextTest(findUri);*/

    // 测试根据
  /*  CivTestContext context(new CivConGetRptTest());
    context.contextTest(findUri);*/

    // 上游追踪
   /* CivTestContext context(new CivUpstreamTrackingTest());
    context.contextTest(findUri);*/

    // 下游追踪
    CivTestContext context(new CivDownStreamTrackingTest());
    context.contextTest(findUri);


    // 水源供水范围分析
   /* CivTestContext context(new CivWaterSupplyScopeTest());
    context.contextTest(findUri);*/

    getchar();
    return 0;
}